import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.util.Vector;
import java.util.Scanner;

public class ParoleDivinaCommedia2 {

	public static void main(String[] args) {

		try {
			// inizializza la lettura del file della Divina Commedia
			Scanner file_input = new Scanner(new BufferedReader(new FileReader("divina_commedia.txt")));

			// set e vect conterranno le parole della divina commedia
			// il primo senza ripetizioni (per contare le parole diverse)
			// usa Vector anche per rappresentare l'insieme set
			Vector<String> set = new Vector<String>();
			Vector<String> vect = new Vector<String>();

			// fa partire il cronometro
			long start_time = System.currentTimeMillis();

			// scandisce il testo
			while (file_input.hasNext()) {
				String s = file_input.next();
				// usando Vector, bisogna controllare che s non sia presente
				if (!set.contains(s)) set.add(s);
				vect.add(s);
			}

			// ferma il cronometro
			long stop_time = System.currentTimeMillis();

			// visualizza l'output
			System.out.println("Totale parole: " + vect.size());
			System.out.println("Parole diverse: " + set.size());
			System.out.println("Impegati: " + (stop_time - start_time) + " millisecondi");

			file_input.close();

		} catch (FileNotFoundException e) {
			System.out.println("File non trovato!");
		}

	}

}
